Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager.servlets.jsp.taglib
Class ForEachNestedPropertyTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.bea.content.manager.servlets.jsp.taglib.ForEachNestedPropertyTag

All Implemented Interfaces
  Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ForEachNestedPropertyTag

extends javax.servlet.jsp.tagext.BodyTagSupport

Tag to iterate through multi valued nested properties.

A Collection containing nested properties(ie. Property[]) must be set as an attribute of the page context with the id specified in this tag.

If an invalid Id is used and failOnError is set to true, then an exception will be thrown.

Example:

See Also
  Serialized Form

Field Summary
`protected boolean` | `failOnError` Determines if we supposed to throw an exception on an error.
`protected Property[]` | `nestedProperty` The id of the script variable to put the result into.
`protected Collection` | `properties`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ForEachNestedPropertyTag()`

Method Summary
`int` | `doAfterBody()`
`int` | `doStartTag()` Start the tag.
`String` | `getFailOnError()` Get the value of `failOnError` as a string.
`Property[]` | `getNestedProperty()` Get the `#nestedPropId`.
`Collection` | `getProperties()`
`Property` | `getPropertyValue(String propName)`
`void` | `release()` Release the tag.
`void` | `setFailOnError(boolean b)` Set the value of `failOnError`.
`void` | `setFailOnError(String s)` Set the value of `failOnError`.
`void` | `setNestedProperty(Property[] nestedProperty)` Set the `#nestedPropId`.
`void` | `setProperties(Collection properties)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doEndTag, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### nestedProperty

    protected Property[] nestedProperty

  The id of the script variable to put the result into. If the resultId isn't set then the property will be written to the PageContext.

### properties

    protected Collection properties

### failOnError

    protected boolean failOnError

  Determines if we supposed to throw an exception on an error.

Constructor Detail

### ForEachNestedPropertyTag

    public ForEachNestedPropertyTag()

Method Detail

### getNestedProperty

    public Property[] getNestedProperty()

  Get the `#nestedPropId`.

### setNestedProperty

    public void setNestedProperty(Property[] nestedProperty)

  Set the `#nestedPropId`.

### getProperties

    public Collection getProperties()

### setProperties

    public void setProperties(Collection properties)

### getFailOnError

    public String getFailOnError()

  Get the value of `failOnError` as a string.

### setFailOnError

    public void setFailOnError(String s)

  Set the value of `failOnError`.

### setFailOnError

    public void setFailOnError(boolean b)

  Set the value of `failOnError`.

### release

    public void release()

  Release the tag.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.BodyTagSupport`

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Start the tag.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws
    `javax.servlet.jsp.JspException`

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Specified by:
    `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`
  Overrides:
    `doAfterBody` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws
    `javax.servlet.jsp.JspException`

### getPropertyValue

    public Property getPropertyValue(String propName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.